## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class CharacterSetImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.CharacterSetImpl

All Implemented Interfaces:
  CharacterSet, SQLObject

    public class CharacterSetImpl

extends SQLObjectImpl
implements CharacterSet

An implementation of the model object 'Character Set'.

The following features are implemented:

- `Repertoire`
- `Default Collation`
- `Encoding`
- `Schema`

Method Summary
`Schema` `basicGetSchema()`
`NotificationChain` `basicSetSchema(Schema newSchema, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`java.lang.String` `getDefaultCollation()`
`java.lang.String` `getEncoding()`
`java.lang.String` `getRepertoire()`
`Schema` `getSchema()`
`void` `setDefaultCollation(java.lang.String newDefaultCollation)`
`void` `setEncoding(java.lang.String newEncoding)`
`void` `setRepertoire(java.lang.String newRepertoire)`
`void` `setSchema(Schema newSchema)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getRepertoire

    public java.lang.String getRepertoire()

  Specified by:
    `getRepertoire` in interface `CharacterSet`
  Returns:
    the value of the 'Repertoire' attribute.
  See Also:
    `CharacterSet.setRepertoire(String)`, `SQLDataTypesPackage.getCharacterSet_Repertoire()`

### setRepertoire

    public void setRepertoire(java.lang.String newRepertoire)

  Specified by:
    `setRepertoire` in interface `CharacterSet`
  Parameters:
    `newRepertoire` - the new value of the 'Repertoire' attribute.
  See Also:
    `CharacterSet.getRepertoire()`

### getDefaultCollation

    public java.lang.String getDefaultCollation()

  Specified by:
    `getDefaultCollation` in interface `CharacterSet`
  Returns:
    the value of the 'Default Collation' attribute.
  See Also:
    `CharacterSet.setDefaultCollation(String)`, `SQLDataTypesPackage.getCharacterSet_DefaultCollation()`

### setDefaultCollation

    public void setDefaultCollation(java.lang.String newDefaultCollation)

  Specified by:
    `setDefaultCollation` in interface `CharacterSet`
  Parameters:
    `newDefaultCollation` - the new value of the 'Default Collation' attribute.
  See Also:
    `CharacterSet.getDefaultCollation()`

### getEncoding

    public java.lang.String getEncoding()

  Specified by:
    `getEncoding` in interface `CharacterSet`
  Returns:
    the value of the 'Encoding' attribute.
  See Also:
    `CharacterSet.setEncoding(String)`, `SQLDataTypesPackage.getCharacterSet_Encoding()`

### setEncoding

    public void setEncoding(java.lang.String newEncoding)

  Specified by:
    `setEncoding` in interface `CharacterSet`
  Parameters:
    `newEncoding` - the new value of the 'Encoding' attribute.
  See Also:
    `CharacterSet.getEncoding()`

### getSchema

    public Schema getSchema()

  Specified by:
    `getSchema` in interface `CharacterSet`
  Returns:
    the value of the 'Schema' reference.
  See Also:
    `CharacterSet.setSchema(Schema)`, `SQLDataTypesPackage.getCharacterSet_Schema()`, `Schema.getCharSets()`

### basicGetSchema

    public Schema basicGetSchema()

### basicSetSchema

    public NotificationChain basicSetSchema(Schema newSchema,
                                            NotificationChain msgs)

### setSchema

    public void setSchema(Schema newSchema)

  Specified by:
    `setSchema` in interface `CharacterSet`
  Parameters:
    `newSchema` - the new value of the 'Schema' reference.
  See Also:
    `CharacterSet.getSchema()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `SQLObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `SQLObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `SQLObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `SQLObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.